apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend-one-rnd
  namespace: one-rnd-prod
spec:
  selector:
    matchLabels:
      app: backend-one-rnd
  replicas: 1
  template:
    metadata:
      labels:
        app: backend-one-rnd
    spec:
      volumes:
        - name: volume-backend-one-rnd-env
          secret:
            secretName: env-backend-one-rnd
      imagePullSecrets:
        - name: git-auth
      containers:
        - name: backend-one-rnd
          image: registry.gitlab.com/pt.lautannaturalkrimerindo/backend-one-rnd:production
          imagePullPolicy: Always
          ports:
            - containerPort: 3100
          volumeMounts:
            - name: volume-backend-one-rnd-env
              mountPath: "/app/.env"
              subPath: .env
---
kind: Service
apiVersion: v1
metadata:
  name: standard-svc-backend-one-rnd
  namespace: one-rnd-prod
  annotations:
    cloud.google.com/backend-config: '{"ports": {"3100":"standard-backendconfig-backend-one-rnd"}, "default": "standard-backendconfig-backend-one-rnd"}'
spec:
  selector:
    app: backend-one-rnd
  type: ClusterIP
  ports:
    - protocol: TCP
      port: 3100
      targetPort: 3100

---
kind: BackendConfig
apiVersion: cloud.google.com/v1
metadata:
  name: standard-backendconfig-backend-one-rnd
  namespace: one-rnd-prod
spec:
  healthCheck:
    timeoutSec: 10
    checkIntervalSec: 30
    requestPath: /health
    port: 3100
    type: HTTP
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: one-rnd-ingress-production
  namespace: one-rnd-prod
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/rewrite-target: /
    cert-manager.io/cluster-issuer: letsencrypt-prod
    acme.cert-manager.io/http01-edit-in-place: "true"
spec:
  tls:
    - hosts:
        - one-rnd.onelnk.co.id
      secretName: one-rnd.onelnk.co.id
  rules:
    - host: one-rnd.onelnk.co.id
      http:
        paths:
          - pathType: Prefix
            backend:
              service:
                name: standard-svc-frontend-one-rnd
                port:
                  number: 80
            path: /
          - pathType: Prefix
            backend:
              service:
                name: standard-svc-backend-one-rnd
                port:
                  number: 3100
            path: /api
